Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkStructuredGridOutlineFilter Class Reference

`#include <vtkStructuredGridOutlineFilter.h>`

Inheritance diagram for vtkStructuredGridOutlineFilter:

[legend]
Collaboration diagram for vtkStructuredGridOutlineFilter:

[legend]
List of all members.

## Detailed Description

create wireframe outline for structured grid

Date:
  2002/01/22 15:29:49

Revision:
  1.33

vtkStructuredGridOutlineFilter is a filter that generates a wireframe outline of a structured grid (vtkStructuredGrid). Structured data is topologically a cube, so the outline will have 12 "edges".

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Hoffman, Bill (39%)
  - Schroeder, Will (33%)
  - Law, Charles (7%)
  - Henderson, Amy (6%)
  - Lorensen, Bill (5%)

CVS logs (CVSweb):
  - .`cxx` (`/Graphics/vtkStructuredGridOutlineFilter.cxx)`
  - .`h` (`/Graphics/vtkStructuredGridOutlineFilter.h)`

Examples:
  vtkStructuredGridOutlineFilter (Examples)

Tests:
  vtkStructuredGridOutlineFilter (Tests)

Definition at line 52 of file vtkStructuredGridOutlineFilter.h.

## Public Types
typedef vtkStructuredGridToPolyDataFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
## Static Public Methods
vtkStructuredGridOutlineFilter * | New ()
int | IsTypeOf (const char *type)
vtkStructuredGridOutlineFilter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkStructuredGridOutlineFilter ()
| ~vtkStructuredGridOutlineFilter ()
void | Execute ()

## Member Typedef Documentation

typedef vtkStructuredGridToPolyDataFilter vtkStructuredGridOutlineFilter::Superclass

| Reimplemented from vtkStructuredGridToPolyDataFilter. Definition at line 56 of file vtkStructuredGridOutlineFilter.h.

## Constructor & Destructor Documentation

vtkStructuredGridOutlineFilter::vtkStructuredGridOutlineFilter | ( |  | ) | `[inline, protected]`

| Definition at line 59 of file vtkStructuredGridOutlineFilter.h.

vtkStructuredGridOutlineFilter::~vtkStructuredGridOutlineFilter | ( |  | ) | `[inline, protected]`

| Definition at line 60 of file vtkStructuredGridOutlineFilter.h.

## Member Function Documentation

vtkStructuredGridOutlineFilter* vtkStructuredGridOutlineFilter::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkStructuredGridOutlineFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkStructuredGridToPolyDataFilter.

int vtkStructuredGridOutlineFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkStructuredGridToPolyDataFilter.

virtual int vtkStructuredGridOutlineFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkStructuredGridToPolyDataFilter.

vtkStructuredGridOutlineFilter* vtkStructuredGridOutlineFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkStructuredGridToPolyDataFilter.

void vtkStructuredGridOutlineFilter::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

The documentation for this class was generated from the following file:

- Graphics/vtkStructuredGridOutlineFilter.h